Loading...
Searching...
No Matches
pappso::TimsFrame::XicComputeStructure Struct Reference

## Public Member Functions

| XicComputeStructure (const TimsFrame *fram_p, const XicCoordTims &xic_struct)

## Public Attributes

Xic * | xic_ptr = nullptr
std::size_t | mobilityIndexBegin
std::size_t | mobilityIndexEnd
std::size_t | mzIndexLowerBound
std::size_t | mzIndexUpperBound
double | tmpIntensity = 0

## Detailed Description

Definition at line 272 of file timsframe.h.

## Constructor & Destructor Documentation

## XicComputeStructure()

pappso::TimsFrame::XicComputeStructure::XicComputeStructure | ( | const TimsFrame * | fram_p,
|  | const XicCoordTims & | xic_struct
| ) |  |

Definition at line 38 of file timsframe.cpp.

{
xic_ptr = xic_struct.xicSptr.get();
mobilityIndexBegin = xic_struct.scanNumBegin;
mobilityIndexEnd = xic_struct.scanNumEnd;
mzIndexLowerBound =
fram_p->getMzCalibrationInterfaceSPtr().get()->getTofIndexFromMz(
xic_struct.mzRange.lower()); // convert mz to raw digitizer value
mzIndexUpperBound =
fram_p->getMzCalibrationInterfaceSPtr().get()->getTofIndexFromMz(
xic_struct.mzRange.upper());
tmpIntensity = 0;
}
pappso::TimsFrame::XicComputeStructure::tmpIntensity
double tmpIntensity
Definition timsframe.h:283
pappso::TimsFrame::XicComputeStructure::xic_ptr
Xic * xic_ptr
Definition timsframe.h:278
pappso::TimsFrame::XicComputeStructure::mobilityIndexBegin
std::size_t mobilityIndexBegin
Definition timsframe.h:279
pappso::TimsFrame::XicComputeStructure::mzIndexUpperBound
std::size_t mzIndexUpperBound
Definition timsframe.h:282
pappso::TimsFrame::XicComputeStructure::mzIndexLowerBound
std::size_t mzIndexLowerBound
Definition timsframe.h:281
pappso::TimsFrame::XicComputeStructure::mobilityIndexEnd
std::size_t mobilityIndexEnd
Definition timsframe.h:280

References pappso::TimsFrameBase::getMzCalibrationInterfaceSPtr(), pappso::MzRange::lower(), mobilityIndexBegin, mobilityIndexEnd, mzIndexLowerBound, mzIndexUpperBound, pappso::XicCoord::mzRange, pappso::XicCoordTims::scanNumBegin, pappso::XicCoordTims::scanNumEnd, tmpIntensity, pappso::MzRange::upper(), xic_ptr, and pappso::XicCoord::xicSptr.

## Member Data Documentation

## mobilityIndexBegin

std::size_t pappso::TimsFrame::XicComputeStructure::mobilityIndexBegin

Definition at line 279 of file timsframe.h.

Referenced by XicComputeStructure().

## mobilityIndexEnd

std::size_t pappso::TimsFrame::XicComputeStructure::mobilityIndexEnd

Definition at line 280 of file timsframe.h.

Referenced by XicComputeStructure().

## mzIndexLowerBound

std::size_t pappso::TimsFrame::XicComputeStructure::mzIndexLowerBound

Definition at line 281 of file timsframe.h.

Referenced by XicComputeStructure().

## mzIndexUpperBound

std::size_t pappso::TimsFrame::XicComputeStructure::mzIndexUpperBound

Definition at line 282 of file timsframe.h.

Referenced by XicComputeStructure().

## tmpIntensity

double pappso::TimsFrame::XicComputeStructure::tmpIntensity = 0

Definition at line 283 of file timsframe.h.

Referenced by XicComputeStructure().

## xic_ptr

Xic* pappso::TimsFrame::XicComputeStructure::xic_ptr = nullptr

Definition at line 278 of file timsframe.h.

Referenced by XicComputeStructure().

The documentation for this struct was generated from the following files:

- pappsomspp/vendors/tims/timsframe.h
- pappsomspp/vendors/tims/timsframe.cpp